package com.scbfkj.uni.config;

import com.oracle.truffle.js.runtime.builtins.temporal.TemporalYear;
import com.scbfkj.uni.library.DataEncryptionUtil;
import com.zaxxer.hikari.HikariConfig;
import com.zaxxer.hikari.pool.HikariPool;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class InitBeanConfig {

    @Value("${db.url:jdbc:h2:file:./center.h2}")
    private String url;
    @Value("${db.username}")
    private String username;
    @Value("${db.password}")
    private String password;
    @Value("${db.driver:org.h2.Driver}")
    private String driver;

    @Value("${cer.private-key}")
    private String privateKeyStr;

    private final String TYPE = "RSA";

    private final String ALGORITHM = "RSA/ECB/PKCS1Padding";

    @Bean("centerPool")
    public HikariPool hikariPool() throws Exception {
        HikariConfig hikariConfig = new HikariConfig();
        hikariConfig.setJdbcUrl(DataEncryptionUtil.decryptByPrivateKey(url, privateKeyStr, TYPE, ALGORITHM));
        hikariConfig.setUsername(username);
        hikariConfig.setPassword(password);
        hikariConfig.setDriverClassName(driver);
        hikariConfig.setAutoCommit(false);
        hikariConfig.setPoolName("center");
        return new HikariPool(hikariConfig);
    }
}
